Subject: Re: bug#27581: 26.0.50; Error while compiling new Org code

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 Jul 2017 19:19:29 -0400

>> Hmm... I see that org-loaddefs is only loaded at run-time and not at
>> compile-time, so removing the declare-function leads to a warning.
>> Now I also wonder why org-loaddefs is not loaded during compilation.
> Probably an unintended consequence of
> http://orgmode.org/cgit.cgi/org-mode.git/commit/lisp/org.el?h=maint&id=f36b19e

Hmm... that doesn't look like it: the previous code used just
a top-level (load ...) which wasn't run during compilation either.

        Stefan